sqlite-simple-0.4.18.2: Mid-Level SQLite client library

Copyright | (c) 2011-2012 Leon P Smith (c) 2018 Janne Hellsten
License | BSD3
Maintainer | Janne Hellsten <jjhellst@gmail.com>
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Database.SQLite.Simple.QQ

Description

The `sql` quasiquoter, for writing large `SQL` statements.

Synopsis

- sql :: QuasiQuoter

# Documentation

sql :: QuasiQuoter #

A quasiquoter for writing big `SQL` queries.

One should consider turning on the `-XQuasiQuotes` pragma in that module:

    {-# LANGUAGE QuasiQuoter #-}

    myQuery = query conn [sql|
        SELECT
          *
        FROM
          users
        WHERE jobTitle = ?
        |] jobTitle